# Dependencies

The **17mov\_Phone** resource has minimal requirements.&#x20;

{% hint style="info" %}
The only required dependency is: `oxmysql`.
{% endhint %}

Apart from that, the script is fully **standalone** - it does not require any framework (QB-Core, ESX, OX, VRP, etc.). The entire system is built in a *plug-and-play* style, so the resource integrates easily with many popular systems out of the box.

Below is a list of resources supported by default:

<table><thead><tr><th width="122">Framework</th><th width="154">Housing</th><th width="157">Inventory</th><th width="124">Voice</th><th width="153">Banking</th><th width="205">Garages</th><th width="98">Target</th></tr></thead><tbody><tr><td>esx</td><td>esx_property</td><td>codem-inventory</td><td>mumble-voip</td><td>esx_society</td><td>cd_garage</td><td>qb-target</td></tr><tr><td>ox</td><td>loaf_housing</td><td>esx_inventory</td><td>pma-voice</td><td>fd_banking</td><td>esx_advancedgarage</td><td>ox_target</td></tr><tr><td>qb</td><td>ps-housing</td><td>ox_inventory</td><td>saltychat</td><td>ox_core</td><td>jg-advancedgarages</td><td>qtarget</td></tr><tr><td>vrp</td><td>qb-houses</td><td>ps-inventory</td><td></td><td>p_banking</td><td>loaf_garage</td><td></td></tr><tr><td>standalone</td><td>qs-housing</td><td>qb-inventory</td><td></td><td>qb-banking</td><td>lunar_garage</td><td></td></tr><tr><td></td><td>vms_housing</td><td>qs-inventory</td><td></td><td>renewed-banking</td><td>okokGarage</td><td></td></tr><tr><td></td><td>rx_housing</td><td>core_inventory</td><td></td><td>tgg-banking</td><td>qb_garages</td><td></td></tr><tr><td></td><td>nolag_properties</td><td>tgiann_inventory</td><td></td><td>tgiann-bank</td><td>qbx_garages</td><td></td></tr><tr><td></td><td><a href="https://www.vames-store.com/package/6923949">vms_housing</a></td><td>origen_inventory</td><td></td><td>wasabi_banking</td><td><a href="https://zsx-development.tebex.io/package/7176048">ZSX_Garages</a></td><td></td></tr><tr><td></td><td>bcs_housing</td><td>tgiann-inventory</td><td></td><td>okokBanking</td><td>vms_garages</td><td></td></tr><tr><td></td><td><a href="https://rtx.tebex.io/package/7181359">rtx_housing</a></td><td></td><td></td><td></td><td></td><td></td></tr></tbody></table>

If your scripts are not on the list — it does **not** mean they are incompatible. All functions that interact with external systems are modular and open to modification. You can add your own integrations or extend existing adapters to work with any framework or custom system.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.17movement.net/phone/dependencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
